Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 206920 - dev-util/cmake contains an internal copy of libform
Summary: dev-util/cmake contains an internal copy of libform
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: bundled-libs
  Show dependency tree
 
Reported: 2008-01-21 20:47 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-04-13 15:03 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to switch to external libform (cmake-2.6.4-libform.patch,1.75 KB, patch)
2010-02-21 18:54 UTC, Andreas K. Hüttel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-21 20:47:45 UTC
It's used in the ccmake command. Please let it use the system libform present in ncurses, if at all possible.

Thanks,
Diego
Comment 1 Andreas K. Hüttel gentoo-dev 2010-02-21 18:54:30 UTC
Created attachment 220623 [details, diff]
Patch to switch to external libform

Here's a patch to build ccmake (2.6.4) against external libform. 

Builds and links fine, and "ccmake --help" gives expected output, but no further functionality tests done so far.
Comment 2 Andreas K. Hüttel gentoo-dev 2010-03-13 21:29:53 UTC
I've been using the patched cmake for half a month now on 2 amd64 and 1 x86 machine. No side effects noted during emerges. 

However, I have not tested the ncurses program itself manually.

Comment 3 Andreas K. Hüttel gentoo-dev 2010-04-04 18:26:10 UTC
Please give the cmake-2.8.1 ebuild from the kde overlay a thorough testing. 

This should be fixed there, as well as another issue (bug 305945). 
Comment 4 Andreas K. Hüttel gentoo-dev 2010-04-13 15:03:12 UTC
Fixed in cmake-2.8.1-r1.